
package de.ivu.elect.presentation.veranstaltung.menu;

import java.util.ArrayList;
import java.util.List;

import javax.enterprise.inject.Specializes;
import javax.inject.Inject;

import de.ivu.elect.jee.presentation.menu.MenuEntry;

@Specializes
public class CoreTeilnehmerSearchMenuBuilder extends TeilnehmerSearchMenuBuilder {

  private static final long serialVersionUID = 1L;

  @Inject
  private transient WahlausschussmitgliedTeilnehmerEinladenMenuItemEntry wahlausschussmitgliedTeilnehmerEinladenMenuItemEntry;

  @Inject
  private transient WahlvorschlagsPersonTeilnehmerEinladenMenuItemEntry wahlvorschlagsPersonTeilnehmerEinladenMenuItemEntry;

//  @Inject
//  private transient KandidaturTeilnehmerEinladenMenuItemEntry kandidaturTeilnehmerEinladenMenuItemEntry;

  public CoreTeilnehmerSearchMenuBuilder() {
    super();
  }

  @Override
  public List<MenuEntry> getMenuEntriesSorted() {
    List<MenuEntry> result = new ArrayList<>(super.getMenuEntriesSorted());

    result.add(wahlausschussmitgliedTeilnehmerEinladenMenuItemEntry);
    result.add(wahlvorschlagsPersonTeilnehmerEinladenMenuItemEntry); // ELECT-8236
    // meint: RAUS! result.add(kandidaturTeilnehmerEinladenMenuItemEntry);

    return result;
  }
}
